class AbortFiltersController < ApplicationController
  def self.set_target_before
    super + [:toggle]
  end

  model_data_store(AbortFilter, {create: true, read: true, update: true, delete: false, index: true}, {create: true, read: true, update: true, delete: false, index: true})

  class InvalidAbortFilterTarget < StandardError; end

  def create
    # TODO: Cannot create custom filter until machines implement abort codes
    raise NotImplementedError
  end

  def before_filter(filter)
    if filter[:id] == 'system_default' || filter[:id] == 'filter_target_id'
      filter[:strict_match] = true
    end
    filter
  end

  def toggle
    @model.toggle(:enabled)
    if @model.save
      render json: @model
    else
      render json: @model.errors, status: :unprocessable_entity
    end
  end

  def destroy
    Rails::logger.warn "Cannot delete an Abort Filter."
    render json: {error: "Abort filters cannot be deleted."}, status: :unprocessable_entity
  end

  private

  # Only allow a list of trusted parameters through.
  def model_params
    nil
  end
end
