class CapabilitiesController < ApplicationController
  include MachineResponse

  model_data_store(Capability)

  def machine_update
    UpdateRoutingCapabilityJob.perform_later(machine_update_params)
    send_machine_response
  end

  private

  def machine_update_params
    capabilities = params.require(:capabilities).permit(capability: [:name, :priority])[:capability]
    {
      machine_sn: params[:sn],
      capabilities: capabilities.map {|k| k.to_hash}
    }
  end


  # Only allow a list of trusted parameters through.
  def model_params
    params.require(:capability).permit(:name)
  end
end
