class ManufacturingProcessesController < ApplicationController
  before_action :set_manufacturing_process, only: [:show, :update, :destroy]

  # GET /manufacturing_processes
  # GET /manufacturing_processes.json
  def index
    @manufacturing_processes = ManufacturingProcess.all
  end

  # GET /manufacturing_processes/1
  # GET /manufacturing_processes/1.json
  def show
  end

  # POST /manufacturing_processes
  # POST /manufacturing_processes.json
  def create
    @manufacturing_process = ManufacturingProcess.new(manufacturing_process_params)

    if @manufacturing_process.save
      render :show, status: :created, location: @manufacturing_process
    else
      render json: @manufacturing_process.errors, status: :unprocessable_entity
    end
  end

  # PATCH/PUT /manufacturing_processes/1
  # PATCH/PUT /manufacturing_processes/1.json
  def update
    if @manufacturing_process.update(manufacturing_process_params)
      render :show, status: :ok, location: @manufacturing_process
    else
      render json: @manufacturing_process.errors, status: :unprocessable_entity
    end
  end

  # DELETE /manufacturing_processes/1
  # DELETE /manufacturing_processes/1.json
  def destroy
    @manufacturing_process.destroy
  end

  private

  # Use callbacks to share common setup or constraints between actions.
  def set_manufacturing_process
    @manufacturing_process = ManufacturingProcess.find(params[:id])
  end

  # Only allow a list of trusted parameters through.
  def manufacturing_process_params
    params.require(:manufacturing_process).permit(:name, :planned_quantity, :quantity_production_time, :setup_time, :lead_time, :enabled)
  end
end
