import * as React from "react";
import {MachineStore} from "../../stores/MachineStore";

export const useMachineOptions: () => {value: string, label: string}[] = () => {
    MachineStore.getAll();

    const options = React.useMemo(() => {
        return MachineStore.models
            .sort((a,b) => a.extendedName.localeCompare(b.extendedName))
            .map(m => {
                return {
                    label: m.extendedName,
                    value: m.getId()
                }
            });
    }, [MachineStore.models])

    return options;
}
