import * as React from "react";
import {FormProps, ModelForm, ModelInput, ModelSelect, ModelCheckbox} from "@rx-suite/ui";
import {observer} from "mobx-react-lite";
import {t} from "@lingui/macro";

export const BoxCoaterRecipeForm: React.FunctionComponent<FormProps> = observer(({model}) => {
    const options = [
        {label: 'Concave (CC)', value: 'CC'},
        {label: 'Convex (CX)', value: 'CX'},
        {label: 'Both (CC & CX)', value: 'both'},
    ];

    return (
        <ModelForm model={model} suppressMakeCopy suppressImportExport>
            <ModelInput name={'name'}/>
            <ModelSelect name={'dome_side'} options={options}/>
            <ModelInput name={'recipe_code'}
                        hint={
                            {
                                title: t`Recipe Code`,
                                text: t`Code used by machines to identify the recipe. Must exactly match the machine code.`
                            }
                        }
            />
            <ModelInput
                name={'processing_time'}
                type={'number'}
                inputProps={
                    {
                        min: 30
                    }
                }
            />
        </ModelForm>
    )
})