import * as React from 'react';
import {observer} from "mobx-react-lite";
import {FormProps, ModelForm, ModelSelect} from "@rx-suite/ui";
import {MachineStore} from "../../stores/MachineStore";
import {WorkstationNameField} from "../../components/generic/WorkstationNameField";
import {useMachineOptions} from "../../hooks/select_options/useMachineOptions";

export const ProcessBookingWorkstationForm: React.FunctionComponent<FormProps> = observer(({model}) => {
    return (
        <ModelForm model={model} suppressImportExport={true} suppressMakeCopy={true}>
            <WorkstationNameField name={'name'}/>
            <ModelSelect multiple loading={MachineStore.isLoading} options={useMachineOptions()} name={'machine_ids'}/>
        </ModelForm>
    )
})