import {attribute, DataStore, model, Model} from '@rx-suite/data';

import {t} from "@lingui/macro";
import * as yup from 'yup';

@model({
  transportLayer: "/api/capabilities",
  permissionTarget: 'Capability',
  routingInfo: {
    create: "/settings/capabilities/create",
    update: "/settings/capabilities/:id/edit",
    read: "/settings/capabilities/:id"
  }
})
export class CapabilityModel extends Model {

  @attribute({ label: t`Name`, validation: yup.string().required() })
  name:string = "";

  @attribute({ label: t`Created At`, autoForm: false })
  created_at: Date = new Date();

  @attribute({ label: t`Updated At`, autoForm: false })
  updated_at: Date = new Date();

  constructor() {
    super();
    super.setup();
  }
}

export const CapabilityStore = CapabilityModel.store as DataStore<CapabilityModel>;
