import {attribute, DataStore, model, Model} from "@rx-suite/data";
import * as yup from "yup";
import {t} from "@lingui/macro"

@model({
    transportLayer: "/api/machine_machine_data_push_targets",
    permissionTarget: 'MachineDataPushTarget',
    routingInfo: {}
})
export class MachineMachineDataPushTargetModel extends Model {
    @attribute({ label: t`Machine`, validation: yup.string() })
    machine_id = "";

    @attribute({ label: t`Machine Data Push Target`, validation: yup.string() })
    machine_data_push_target_id = "";

    @attribute({ label: t`Name`, validation: yup.string() })
    name = "";

    constructor() {
        super();
        super.setup();
    }
}

export const MachineMachineDataPushTargetStore = MachineMachineDataPushTargetModel.store as DataStore<MachineMachineDataPushTargetModel>;

