import {attribute, DataStore, model, Model} from '@rx-suite/data';

import {t} from "@lingui/macro";
import * as yup from "yup";

@model({
  transportLayer: "/api/push_targets",
  permissionTarget: 'PushTarget',
  routingInfo: {
    create: "/settings/data_forwarding/internal/create",
    update: "/settings/data_forwarding/internal/:id/edit",
    read: "/settings/data_forwarding/internal/:id"
  }
})
export class PushTargetModel extends Model {

  @attribute({ label: t`Module`, validation: yup.string().required(t`Module is a required field`) })
  app = "";

  @attribute({ label: t`Machine URL`})
  machine: string | null = null;

  @attribute({ label: t`Machine State URL` })
  machine_state: string | null = null;

  @attribute({ label: t`Job State URL`})
  job_state: string | null = null;

  @attribute({ label: t`Error URL` })
  error: string | null = null;

  @attribute({ label: t`Maintenance URL` })
  maintenance: string | null = null;

  @attribute({ label: t`Event URL` })
  event: string | null = null;

  @attribute({ label: t`Job Process Parameter URL`})
  job_process_parameter: string | null = null;

  @attribute({ label: t`Order URL` })
  order: string | null = null;

  @attribute({ label: t`Job URL`})
  job: string | null = null;

  @attribute({ label: t`Order URL` })
  block: string | null = null;

  @attribute({ label: t`Calibration URL`})
  calibration: string | null = null;

  @attribute({ label: t`Box Coater Event URL` })
  box_coater_event: string | null = null;

  @attribute({ label: t`Update Order URL` })
  update_order: string | null = null;

  constructor() {
    super();
    super.setup();
  }
}

export const PushTargetStore = PushTargetModel.store as DataStore<PushTargetModel>;
