class AddBoxCoaterBatchFromProcessJob < ApplicationJob
  queue_as :eer

  def perform(job_process)
    existing_batch = BoxCoaterBatch.find_existing_batch(job_process.batch_id, job_process.machine, job_process.time)

    if existing_batch.nil?
      # Create a new batch, but don't broadcast it as it's not yet attached to an event
      BoxCoaterBatch.create(machine: job_process.machine, time: job_process.time, batch_id: job_process.batch_id)
    else
      return unless existing_batch.crystal_life.nil?

      existing_batch.assign_attributes({crystal_life: job_process.crystal_life})

      if existing_batch.save
        existing_batch.box_coater_event.broadcast unless existing_batch.box_coater_event.nil?
      end
    end
  end
end
