class AddCalibrationJob < ApplicationJob
  queue_as :default

  def perform(model_params, measurement_params, correction_params)
    ActiveRecord::Base.connection_pool.with_connection do
      machine = Machine.find_or_create_by(sn: model_params[:machine_sn])
      calibration = Calibration.new(model_params)
      calibration.calibration_measurements.build(measurement_params)
      calibration.calibration_corrections.build(correction_params)
      if calibration.save
        calibration.broadcast_machine_data(machine, async: false) # broadcast to other Rx-Modules
        calibration.forward # forward data to other external systems
      end
    end
  end
end
