class AddMachineStateJob < ApplicationJob
  queue_as :high_priority

  def perform(model_params)
    ActiveRecord::Base.connection_pool.with_connection do
      machine = Machine.find_or_create_by(sn: model_params[:machine_sn])
      model = MachineState.new(model_params)

      if model.save
        model.broadcast_machine_data(machine) # broadcast to other Rx-Modules
        model.forward # forward data to other external systems

        KpiMachineStateJob.perform_later(model)
        AddBoxCoaterEventJob.perform_later(model) if model.is_box_coater_event?
      end
    end
  end
end
