
module MachineKpiCalculator
  class SummedRoutingKickouts < MachineKpiCalculator
    class << self
      def get_for_period_and_machines(start_time, end_time, timeframe, machine_ids, options: {})
        kpi = SummedRoutingKickouts.new(start_time, end_time, timeframe, machine_ids, options)
        kpi.run
      end
    end

    def initialize(start_time, end_time, timeframe, machine_ids, options)
      super(start_time, end_time, timeframe, machine_ids, options)
    end

    def handlers
      [
        {
          key: :kickouts,
          handler: KpiTableHandler::RoutingKickoutsKpiHandler,
          params: {
            sum_as: :rejects
          }
        }
      ]
    end

    # This should return same top5 errors per machine in buckets
    def build_results
      data[:kickouts].each {|k,v| data[:kickouts][k] = v["rejects"]}
    end

    def build_results_per_machine
      data[:kickouts]
    end
  end
end
