# == Schema Information
#
# Table name: batch_job_data
#
#  id                 :bigint           not null, primary key
#  position           :integer
#  skipped            :boolean
#  created_at         :datetime         not null
#  updated_at         :datetime         not null
#  batch_container_id :bigint           not null
#  job_id             :bigint
#
# Indexes
#
#  index_batch_job_data_on_batch_container_id  (batch_container_id)
#  index_batch_job_data_on_job_id              (job_id)
#
# Foreign Keys
#
#  fk_rails_...  (batch_container_id => batch_containers.id) ON DELETE => cascade
#
class BatchJobDatum < ApplicationRecord
  belongs_to :batch_container
  belongs_to :job, required: false
end
