module ForwardMachineData
  extend ActiveSupport::Concern

  def forward
    push_targets = machine.push_targets_for_path(forwarding_path_sym)

    return if push_targets.size == 0

    ForwardMachineDataJob.perform_later(machine.id, forwarding_path_sym, forwarding_params, forwarding_data)
  end

  def forwarding_data
    Raise NotImplementedError;
  end

  def forwarding_path_sym
    Raise NotImplementedError;
  end

  def forwarding_params
    Raise NotImplementedError;
  end
end
