# -*- SkipSchemaAnnotations

module ErrorFilterMachineTypes
  module ArtDeblocker
    extend ActiveSupport::Concern

    class_methods do
      def error_filters_data
        [
          {name: 'Initialization', error_codes: '2,1001-1999', behaviour: 'ignore', group_code: '0'},

          {name: 'Safety relay triggered', error_codes: '2000', behaviour: 'use_as_is', group_code: '2000'},
          {name: 'Cannot turn on drives', error_codes: '2002', behaviour: 'use_as_is', group_code: '2002'},
          {name: 'Belt jammed', error_codes: '10003', behaviour: 'use_as_is', group_code: '10003'},
          {name: 'No job number', error_codes: '10103', behaviour: 'use_as_is', group_code: '10103'},
          {name: 'Pick and place alarm', error_codes: '10599', behaviour: 'use_as_is', group_code: '10599'},

          {name: 'Pick and place vacuum issue', error_codes: '10601-10610', behaviour: 'replace', replace_name: 'Pick and Place Vacuum Issue', group_code: '10601'},
          {name: 'Lens on suction pad', error_codes: '11101-11104', behaviour: 'replace', replace_name: 'Lens on suction pad', group_code: '11101'},

          {name: 'Carousel alarm', error_codes: '11599', behaviour: 'use_as_is', group_code: '11599'},
          {name: 'Carousel motor drive error', error_codes: '11601', behaviour: 'use_as_is', group_code: '11601'},
          {name: 'Timeout: hood not opened in time', error_codes: '11603', behaviour: 'use_as_is', group_code: '11603'},

          {name: 'blank-error', error_codes: '11605, 12105', behaviour: 'ignore', group_code: '11605'},

          {name: 'Blockpiece sorting Alarm', error_codes: '11699', behaviour: 'use_as_is', group_code: '11699'},
          {name: 'Odd / even drop position fail', error_codes: '11700', behaviour: 'use_as_is', group_code: '11700'},
          {name: 'Deblocking alarm', error_codes: '11799', behaviour: 'use_as_is', group_code: '11799'},

          {name: 'Deblocking failed', error_codes: '11800', behaviour: 'replace', replace_name: 'Deblocking Failed', group_code: '11800'},
          {name: 'Suction Cup 1 failure', error_codes: '11802', behaviour: 'replace', replace_name: 'Failure of Suction To Get Vacuum to Lens for deblocking. Suction cup 1', group_code: '11802'},
          {name: 'Suction Cup 3 failure lens washed off', error_codes: '11803', behaviour: 'replace', replace_name: 'Lens washed off suction cup while deblocking. Suction cup 3.', group_code: '11803'},

          {name: 'Water tank', error_codes: '12099', behaviour: 'use_as_is', group_code: '12099'},

          {name: 'Warm water tank: pre pressure gone', error_codes: '12106', behaviour: 'use_as_is', group_code: '12106'},
          {name: 'ReUse Server: general server communication error', error_codes: '12200', behaviour: 'use_as_is', group_code: '12200'},

          {name: 'ReUse Server: other', error_codes: '12203, 12215', behaviour: 'ignore', group_code: '12203'},

          {name: 'Air pressure alarm', error_codes: '12599', behaviour: 'use_as_is', group_code: '12599'},
          {name: 'Air pressure low', error_codes: '12600', behaviour: 'use_as_is', group_code: '12600'},

          {name: 'Drop bin full', error_codes: '12701-12710', behaviour: 'replace', replace_name: 'Drop bin full', group_code: '12701'},

          {name: 'Invalid data at cleaning item', error_codes: '13107', behaviour: 'use_as_is', group_code: '13107'},

          {name: 'Water level general messages', error_codes: '22100-22102, 22700', behaviour: 'ignore', group_code: '22100'}
        ]
      end
    end
  end
end

