# -*- SkipSchemaAnnotations

module ErrorFilterMachineTypes
  module VftOrbit2
    extend ActiveSupport::Concern

    class_methods do
      def error_filters_data
        [
          {name: 'General reset', error_codes: '0', behaviour: 'replace', replace_name: 'Initialization general reset', group_code: '0'},

          {name: 'Manual door loading', error_codes: '1', behaviour: 'replace', replace_name: 'Manual door loading', group_code: '1'},
          {name: 'Automatic Door Loading', error_codes: '2', behaviour: 'replace', replace_name: 'Automatic door loading', group_code: '2'},

          {name: 'Low coolant flow milling or flushing', error_codes: '3', behaviour: 'use_as_is', group_code: '3'},
          {name: 'Low coolant flow fast tools', error_codes: '4', behaviour: 'use_as_is', group_code: '4'},

          {name: 'Purge air A-axis', error_codes: '6', behaviour: 'replace', replace_name: 'Purge air A-axis', group_code: '6'},
          {name: 'Probing Door', error_codes: '7', behaviour: 'replace', replace_name: 'Probing Door', group_code: '7'},
          {name: 'Workpiece dynamic pressure', error_codes: '8', behaviour: 'replace', replace_name: 'Workpiece dynamic pressure', group_code: '8'},

          {name: 'Emergency Stop Active', error_codes: '11', behaviour: 'use_as_is', group_code: '11'},
          {name: 'Toolspindle is still rotating', error_codes: '12', behaviour: 'use_as_is', group_code: '12'},
          {name: 'Toolspindle is not rotating', error_codes: '13', behaviour: 'use_as_is', group_code: '13'},

          {name: 'Pressure Supply', error_codes: '14', behaviour: 'replace', replace_name: 'Pressure Supply', group_code: '14'},
          {name: 'Frequency Converter', error_codes: '15', behaviour: 'replace', replace_name: 'Frequency converter', group_code: '15'},
          {name: 'Purge air milling spindle', error_codes: '16', behaviour: 'replace', replace_name: 'Purge air milling spindle', group_code: '16'},
          {name: 'Timeout M-function', error_codes: '18', behaviour: 'replace', replace_name: 'Timeout M-function', group_code: '18'},
          {name: 'Water level work room', error_codes: '19', behaviour: 'replace', replace_name: 'Water level work room', group_code: '19'},
          {name: 'Timeout before reaching end of travel', error_codes: '25', behaviour: 'replace', replace_name: 'Timeout before reaching end of travel', group_code: '25'},

          {name: 'Turning buffer empty', error_codes: '28', behaviour: 'use_as_is', group_code: '28'},
          {name: 'Chiller', error_codes: '31', behaviour: 'replace', replace_name: 'Chiller', group_code: '31'},

          {name: 'Error Chip Output', error_codes: '32', behaviour: 'replace', replace_name: 'Error Chip Output', group_code: '32'},

          {name: 'Barcode not readable', error_codes: '42', behaviour: 'replace', replace_name: 'Barcode not readable', group_code: '42'},
          {name: 'Loader reset not complete', error_codes: '43', behaviour: 'replace', replace_name: 'Loader reset not complete', group_code: '43'},
          {name: 'Remove the part from the chuck', error_codes: '45', behaviour: 'replace', replace_name: 'Remove the part from the chuck', group_code: '45'},
          {name: 'Loader program is stopped', error_codes: '46', behaviour: 'replace', replace_name: 'Loader program is stopped', group_code: '46'},
          {name: 'Turning buffer communication', error_codes: '48', behaviour: 'replace', replace_name: 'Turning buffer communication', group_code: '48'},

          {name: 'Loader swing cylinder', error_codes: '101', behaviour: 'replace', replace_name: 'Loader swing cylinder', group_code: '101'},
          {name: 'Loader head cylinder', error_codes: '102', behaviour: 'replace', replace_name: 'Loader head cylinder', group_code: '102'},
          {name: 'Loader horizontal cylinder', error_codes: '103', behaviour: 'replace', replace_name: 'Loader horizontal cylinder', group_code: '103'},
          {name: 'Loader lift cylinder', error_codes: '104', behaviour: 'replace', replace_name: 'Loader lift cylinder', group_code: '104'},
          {name: 'Loader vacuum raw part', error_codes: '105', behaviour: 'replace', replace_name: 'Loader vacuum raw part', group_code: '105'},
          {name: 'Loader vacuum finish part', error_codes: '106', behaviour: 'replace', replace_name: 'Loader vacuum finish part', group_code: '106'},
          {name: 'Loader tray position', error_codes: '107', behaviour: 'replace', replace_name: 'Loader tray position', group_code: '107'},

          {name: 'Air pressure B-axis', error_codes: '154', behaviour: 'replace', replace_name: 'Loader tray position', group_code: '154'},
          {name: 'Air pressure fast tools', error_codes: '155', behaviour: 'replace', replace_name: 'Air pressure fast tools', group_code: '155'},
          {name: 'B-axis following error', error_codes: '156', behaviour: 'replace', replace_name: 'B-axis following error', group_code: '156'},

          {name: 'Axis not in position after move to load position', error_codes: '164', behaviour: 'replace', replace_name: 'Axis not in position after move to load position', group_code: '164'},
          {name: 'Modbus communication error', error_codes: '167', behaviour: 'replace', replace_name: 'Modbus communication error', group_code: '167'},
          {name: 'B&R module error', error_codes: '168', behaviour: 'replace', replace_name: 'B&R module error', group_code: '168'},
          {name: 'CPX module error', error_codes: '169', behaviour: 'replace', replace_name: 'CPX module error', group_code: '169'},
          {name: 'Safety fault', error_codes: '176', behaviour: 'replace', replace_name: 'Safety fault', group_code: '176'},

          {name: 'Emergency stop button pressed', error_codes: '177', behaviour: 'use_as_is', group_code: '177'},
          {name: 'Cover open safety fault', error_codes: '178', behaviour: 'use_as_is', group_code: '178'},

          {name: 'B axis safety fault', error_codes: '179', behaviour: 'replace', replace_name: 'B axis safety fault', group_code: '179'},
          {name: 'A axis safety fault', error_codes: '180', behaviour: 'use_as_is', group_code: '180'},
          {name: 'Y axis safety fault', error_codes: '181', behaviour: 'replace', replace_name: 'Y axis safety fault', group_code: '181'},
          {name: 'Probe error', error_codes: '182', behaviour: 'replace', replace_name: 'Probe error', group_code: '182'},
          {name: 'Air bearing probe', error_codes: '183', behaviour: 'replace', replace_name: 'Air bearing probe', group_code: '183'},

          {name: 'Service flap open', error_codes: '185', behaviour: 'replace', replace_name: 'Service flap open', group_code: '185'},
          {name: 'Emergency stop by spindle error', error_codes: '186', behaviour: 'replace', replace_name: 'Emergency stop by spindle error', group_code: '186'},

          {name: 'Illegal loader action', error_codes: '188', behaviour: 'replace', replace_name: 'Illegal loader action', group_code: '188'},
          {name: 'Splash guard open/closed', error_codes: '221', behaviour: 'replace', replace_name: 'Splash guard open/closed', group_code: '221'},
          {name: 'Tray position', error_codes: '231', behaviour: 'replace', replace_name: 'Tray position', group_code: '231'},

          {name: 'Limit exceeded axis', error_codes: '301', behaviour: 'replace', replace_name: 'Limit exceeded axis', group_code: '301'},
          {name: 'Drive error: Open loop axis', error_codes: '303', behaviour: 'replace', replace_name: 'Drive error: Open loop axis', group_code: '303'},
          {name: 'Drive error: Following error axis', error_codes: '304', behaviour: 'replace', replace_name: 'Drive error: Following error axis', group_code: '304'},

          {name: 'Drive error: Amplifier axis', error_codes: '305', behaviour: 'replace', replace_name: 'Drive error: Amplifier axis', group_code: '305'},
          {name: 'Drive error: IÂ²T fault axis', error_codes: '306', behaviour: 'replace', replace_name: 'Drive error: IÂ²T fault axis', group_code: '306'},

          {name: 'Log Dataset Error', error_codes: '1000', behaviour: 'replace', replace_name: 'Log Dataset Error', group_code: '1000'}
        ]
      end
    end
  end
end

