# == Schema Information
#
# Table name: kpi_current_machine_states
#
#  id         :bigint           not null, primary key
#  comment    :string(4000)
#  machine_sn :string(4000)
#  state      :integer          default("off")
#  time       :datetime         default(Thu, 23 Nov 2023 13:24:04.846000000 AST -04:00)
#
# Indexes
#
#  uniq_machine_sn  (machine_sn) UNIQUE
#
# Foreign Keys
#
#  fk_rails_...  (machine_sn => machines.sn) ON DELETE => cascade
#
class KpiCurrentMachineState < ApplicationRecord
  belongs_to :machine, foreign_key: :machine_sn, primary_key: :sn
  include DataHelpers

  enum state: MACHINE_STATES

  def should_archive?
    false
  end
end
