# -*- SkipSchemaAnnotations

module MachineTypes
  module Generators
    class VftOrbit2 < Generator
      include ErrorFilterMachineTypes::VftOrbit2
      include AbortFilterMachineTypes::VftOrbit2

      class << self
        def seed_version
          1
        end

        def display_name
          "VFT-Orbit-2"
        end

        def name
          "vft_orbit_2"
        end

        def image_name
          'vft_orbit_2.png'
        end

        def interfaces
          {
            machine_state: true,
            job_state: true,
            error: true,
            maintenance: true,
            process_data: true,
            event: true,
            calibration: true
          }
        end

        def error_filters
          error_filters_data
        end

        def abort_filters
          abort_filters_data
        end
      end
    end
  end
end

