class MachinePerformanceReport < MachineTemplateReport
  # todo: components should have a way to pass to the parent report which params they need?
  include ReportTargetValues
  include ReportComponents

  class << self
    def report_type
      "Machine Performance Report"
    end
  end

  expose('machine_performance_report', report_type, "Overview of various key KPIs that help gage the performance of a machine.", "MachinePerformanceReport")

  use_utilization_target
  use_uptime_target
  use_oee_target

  def performance_report_type(first_target)
    report_targets = MachineTemplateReport.reporting_targets.flat_map { |r| r[:options]}
    report_targets.find {|x| x[:value] === first_target}[:chart_type]
  end

  def performance_chart_component
    if performance_report_type(@parameters[:target_ids][0]) == "box_coater"
      {
        component: ReportComponents::MachinePerformanceBatch,
        args: {
          aggregate_machines: false,
          colorize_series: true
        }
      }
    else
      {
        component: ReportComponents::MachinePerformanceOverview,
        args: {
          uptime_target: uptime_target,
          utilization_target: utilization_target
        }
      }
    end
  end

  def components
    [
      performance_chart_component,
      {
        component: ReportComponents::MachineTopErrorsBar,
        args: {
          addons: [:as_percent],
          aggregate_machines: false,
          colorize_series: true
        }
      },
      {
        component: ReportComponents::MachineStateBreakdownPie,
        args: {}
      },
      {
        component: ReportComponents::MachineEfficiencyOverview,
        args: {
          oee_target: oee_target,
          aggregate_machines: false,
          colorize_series: true
        }
      }
    ]
  end
end