module ReportComponents
  class BoxCoaterBatchLoadingBar < ReportComponent
    include ReportComponentHelpers
    include KpiHelpers
    include BucketCalculator

     def component_id
      'box_coater_batch_loading_bar'
    end

    def component_type
      'bar'
    end

    def generate(args)
      result = MachineKpi.box_coater_batch_loading_between(start_time, end_time, timeframe, machine_ids, options: args)
      series = [
        {
          data: result.map {|time, value| {x: bucket_time_to_timeframe_label(time) , y: value} },
          name: "Produced Lens"
        },
        {
          data: result.map {|time, value| {x: bucket_time_to_timeframe_label(time) , y: 100 - value} },
          name: "Empty Holes"
        }
      ]
      {
        series: series,
        colors: args[:colorize_series] ?
          color_for_series(series.size) :
          nil
      }
    end
  end
end
