class CreateKpiJobStates < ActiveRecord::Migration[6.1]
  include DataHelpers

  def change
    create_table :kpi_job_states do |t|
      t.datetime :time, null: false

      # Note: do NOT use the JOB_STATES constant from data helper to ensure that changes to job states do not affect future usage of this migration
      %w[started aborted finished postponed skipped restarted].each { |k| %w[_l _r].each { |side| t.integer (k + side), :default => 0 } }

      t.belongs_to :machine, foreign_key: {on_delete: :cascade}
      t.index [:time, :machine_id], name: 'kpi_kpi_job_states_uniq_time_per_machine', unique: true
      t.timestamps
    end
  end
end
