class AddTargetsToProductionSettings < ActiveRecord::Migration[6.1]
  def up
    rename_column :production_settings, :lens_metric, :throughput_metric
    add_column :production_settings, :machine_oee_target, :integer, default: 70
    add_column :production_settings, :machine_utilization_target, :integer, default: 70
    add_column :production_settings, :machine_uptime_target, :integer, default: 70
    add_column :production_settings, :simplified_machine_states, :boolean, default: true
    execute("update production_settings set machine_oee_target=70, machine_utilization_target=70, machine_uptime_target=85, simplified_machine_states='true'")
  end

  def down
    rename_column :production_settings, :throughput_metric, :lens_metric
    remove_column :production_settings, :machine_oee_target
    remove_column :production_settings, :machine_utilization_target
    remove_column :production_settings, :machine_uptime_target
    remove_column :production_settings, :simplified_machine_states
  end
end
