class CreateBatchTables < ActiveRecord::Migration[6.1]
  def change
    create_table :batches do |t|
      t.string :batch_id, index: { unique: true }
      t.string :process_code
      t.timestamps
    end

    create_table :batch_runs do |t|
      t.belongs_to :batch, null: false, foreign_key: {on_delete: :cascade}
      t.string :run_key, index: { unique: true }
      t.timestamps
    end

    create_table :batch_run_data do |t|
      t.belongs_to :batch_run, null: false, foreign_key: {on_delete: :cascade}
      t.string :name
      t.string :value
      t.timestamps
    end

    create_table :batch_containers do |t|
      t.belongs_to :batch, null: false, foreign_key: {on_delete: :cascade}
      t.integer :external_container_id
      t.integer :order
      t.timestamps
    end

    create_table :batch_container_data do |t|
      t.belongs_to :batch_container, null: false, foreign_key: {on_delete: :cascade}
      t.string :name
      t.string :value
      t.timestamps
    end

    create_table :batch_job_data do |t|
      t.belongs_to :batch_container, null: false, foreign_key: {on_delete: :cascade}
      t.belongs_to :job, null: true
      t.integer :position
      t.boolean :skipped
      t.timestamps
    end
  end
end
