class AddEndpointsToMachineDataPushTargets < ActiveRecord::Migration[6.1]
  def change
    create_table :machine_machine_data_push_targets do |t|
      t.belongs_to :machine
      # if rolling back from mssql remove , index: ... and add it back on migration
      t.belongs_to :machine_data_push_target, index: { name: :index_m_m_data_push_targets_on_m_data_push_target_id }
    end
    # if rolling back from mssql remove , name: ... and add it back on migration
    add_index :machine_machine_data_push_targets, [:machine_id, :machine_data_push_target_id], unique: true, name: :index_m_m_data_push_targets_on_m_id_and_m_data_push_target_id

    rename_column :machine_data_push_targets, :target_url, :base_url
    add_column :machine_data_push_targets, :machine_state_path, :string
    add_column :machine_data_push_targets, :job_state_path, :string
    add_column :machine_data_push_targets, :error_path, :string
    add_column :machine_data_push_targets, :event_path, :string
    add_column :machine_data_push_targets, :maintenance_path, :string
    add_column :machine_data_push_targets, :process_data_path, :string
    add_column :machine_data_push_targets, :send_to, :integer
  end
end
