namespace :manual_report_csv do
  desc "Throughput of machines for the week"
  task :throughput_weekly => :environment do
    csv_arr_of_arr = []
    end_time = Time.now.in_time_zone(ENV['TZ']).end_of_day
    start_time = Time.now.in_time_zone(ENV['TZ']).beginning_of_day - 7.days
    time_arr = (start_time.to_i..end_time.to_i).step(1.days).map {|t| (Time.at(t).in_time_zone(ENV['TZ']) + start_time.utc_offset)}
    csv_arr_of_arr << time_arr.map {|time| time.utc.to_s}.prepend("Machine Name")
    Machine.find_in_batches do |batch|
      batch.each do |machine|
        sql = <<~SQL
(SELECT dateadd(day, datediff(day, 0, time), 0) as time, SUM(finished_l) as finished_l, SUM(finished_r) as finished_r 
  FROM [kpi_job_states] 
  WHERE ((machine_id in (#{machine.id}))) 
  AND ([kpi_job_states].[time] >= '#{start_time.strftime("%Y-%m-%d %H:%M:%S")}') 
  AND ([kpi_job_states].[time] < '#{end_time.strftime("%Y-%m-%d %H:%M:%S")}') 
  GROUP BY dateadd(day, datediff(day, 0, time), 0)
) as kpi_job_states
        SQL
        results = KpiJobState.select("time, (finished_l + finished_r) as finished").order(time: :asc).from(sql).to_a.pluck(:time, :finished).to_h
        time_arr.each do |time|
          unless(results.has_key? time)
            results[time] = 0
          end
        end
        csv_arr = results.values.prepend("#{machine.name} (#{machine.sn})")
        csv_arr_of_arr << csv_arr
      end
    end
    require 'csv'
    require 'fileutils'
    FileUtils.mkdir_p 'C:/sites'
    CSV.open("C:/sites/manual_throughput_csv_#{Time.now.in_time_zone(ENV['TZ']).strftime("%Y_%m_%d_%H_%M_%S")}.csv", "w") do |csv|
      csv_arr_of_arr.each do |arr|
        csv << arr
      end
    end
  end
end
